<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{productPackageReceipt.idPackage}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['order-item-unfilled-lov', idShipFrom, idShipTo] } }]"><i class="fa fa-list"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="process()" style="cursor: pointer;"><i class="fa fa-dot-circle-o"></i> &nbsp;{{'entity.action.process' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!productPackageReceipt.idPackage">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productPackageReceipt.idPackage" readonly />
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productPackageReceipt.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="productPackageReceipt.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.productPackageReceipt.shipFrom" for="field_shipFrom">Ship From</label>
                        <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="productPackageReceipt.shipFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.partyName}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.productPackageReceipt.documentNumber" for="field_documentNumber">Document Number</label>
                        <input type="text" class="form-control" name="documentNumber" id="field_documentNumber"
                            [(ngModel)]="productPackageReceipt.documentNumber"  />
                    </div>
    
                </div>
            </div>
        </div>
        <jhi-product-shipment-receipt-as-list [idShipmentPackage]="idPackage"></jhi-product-shipment-receipt-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>